@import '../../../_mixins.scss';
.add-serviceCatalog {

.basic-field {
    display: flex;
    flex-wrap: wrap;
    .field-section div.row.field__input textarea {
        width: 100%;
        height: 150px;
    }
}

.multiple-choice {
    .Select-value {
        line-height: 18px !important;
      }
}

}
 .service-catalog-listing{
     .header{
         display: flex;
         flex-direction: row;
         justify-content: space-between;
         padding: 0px 0px 10px 0px;
    }
    .table-container .table-container__table .ReactTable .rt-table .rt-thead.-header:first-child {
        padding-left: 0;
    }
    
    
    .download-btn{
        padding-left: 5px;
    }
    .icon-btn{
        margin-left: 5px;
    }
    
    .icons-template{
        img{
            width: 25px;
        }
        img.left {
            margin: 0px 5px 0 15px;
            padding: 1.5px;
        }
    }
    .service-catalog-listing__actions {
        background: white;
        display: flex;
        flex-direction: column;

        
        .checkbox-holder{
            margin: 25px 10px 12px 15px;
        }

        .field-section {
          max-width: 400px;
          padding: 0;
        }
        .actions-right{
            .btn.square-btn{
                margin:10px 0;
          
                img{
                  padding-right: 3px;
                }
          
                &:hover,
                &:active,
                &:focus{
                  img{
                    filter: invert(75%);
                  }
                }
          
              }
        }
        .row-action {
            display: flex;
            margin: 0 15px 0 15px;

            .left{
                width: 430px;
            }
        }
        .sow-filters {
            display: inline-block;
            padding: 5px 20px;
            overflow: auto;

            .filter {
                background: var(--primary);
                padding: 3px 3px 3px 10px;
                margin: 2px;
                border-radius: 15px;
                display: inline-block;
                color: white;
                flex-direction: row;
                label {
                    color: white;
                }
                span {
                    min-width: 8px;
                    padding: 5px 15px 5px 5px;
                    position: relative;
                    cursor: pointer;
            
                    &::before,
                    &::after {
                      display: block;
                      content: ' ';
                      width: 10px;
                      height: 2px;
                      background: white;
                      position: absolute;
                      top: 12px;
                      right: 4px
                    }
            
                    &::after {
                      transform: rotate(45deg);
                    }
            
                    &::before {
                      transform: rotate(-45deg);
                    }
                  }
            }
        }
    }
    .icons-template{
        img{
            width: 25px;
        }
        img.left {
            margin: 0px 5px 0 15px;
            padding: 1.5px;
        }
    }
}

.add-new-option-box{
    width: 100%;
}

.add-new-option-section{
    display: flex;
}


.field-section + .upload-img-button {
    margin: 151px 21px 0 286px;

}
    .upload-img-button {
    width: 30px;
    margin-left: 20px;
    height: 30px;
    margin: 47px 21px 0 286px;
    position: absolute;
    min-width: unset !important;
    border: none !important;
    z-index: 999;
    padding: 4px !important; 
    
    .icon-upload{
      width: 16px;
      height: 16px;
      border: unset;
      filter: brightness(0.5);
    }
    &:hover,
    &:active,
    &:focus{
       border: 1px solid #95a5a6 !important
    }
}

.service_technology_types_filter-1{
    .Select--multi {
        overflow-x: auto;
    }
}

.service-catalog-detail-container {
    .body {
      display: flex;
      flex-wrap: wrap;
      width: 100%;
      word-break: break-word;
    }
  
    .field {
      width: 30%;
      display: flex;
      flex-wrap: wrap;
      flex-direction: column;
      margin: 10px 0;
      padding: 5px 20px;
  
      .heading {
        color: #9a9a9a;
        text-transform: uppercase;
      }
    }
  
    .social_link {
      word-break: break-all;
    }
  }